# frozen_string_literal: true

require_relative 'lib/faraday_cdn_metrics/version'

Gem::Specification.new do |spec|
  spec.name          = 'faraday-cdn-metrics'
  spec.version       = FaradayCdnMetrics::VERSION
  spec.authors       = ['Anson Kelly']
  spec.email         = ['anson.kelly@carwow.co.uk']

  spec.summary       = 'Metrics requests to a CDN like Fastly'
  spec.description   = 'Metrics requests to a CDN like Fastly'
  spec.homepage      = 'https://github.com/carwow/faraday-cdn-metrics'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'faraday', '~> 1'

  spec.add_development_dependency 'bundler'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rspec', '~> 3.0'
end
